# engines parameters list

## Synopsis

```bash
omics workbench engines parameters list --engine=ENGINE_ID
```

## Description

List all engine parameters for a specified engine you have access to currently registered on workbench.

## Examples

```bash
omics workbench engines parameters list --engine=my-engine-id 
```

## Flags

### `--engine=ENGINE_ID`

The specific engine ID to retrieve parameters from. The engine ID can be retrieved from the [engines list](/products/command-line-interface/reference/workbench/engines-list.md) command or from [workbench](https://workbench.omics.ai) directly.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/engines-parameters-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
